## colord 1.0.2

=== debian/changelog ===
colord (1.0.2-1) unstable; urgency=low

  * New upstream stable release
  * Disable colorhug test; fails without USB hardware
  * Test for usb-db in udev rules before running it. (Closes: 717503)
  * Use dh-systemd for upgrade/removal support. Thanks, Michael Stapelberg!
    (Closes: 715266)
  * Fix upgrades from Wheezy with old colorhug-client installed.
    (Closes: 718015)
  * Refresh symbols file for new upstream
  * Remove no-longer used lintian hardening overrides

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 30 Jul 2013 17:13:39 +1000

colord (1.0.1-1) unstable; urgency=low

  [ Pino Toscano ]
  * Fix build on non-Linux architectures (Closes: 703423)

  [ Christopher James Halse Rogers ]
  * New upstream release (Closes: 711802)
  * Update copyright file to match fixed sensor library copyrights
  * Add new bash-completion build-dep
  * Update libcolord symbols for new upstream
  * Disable silent build rules
  * Make autopkgtest test name policy compliant
  * Differentiate libcolorhug1 description from libcolorhug-dev
  * Add Valgrind dependency to DEP 8 tests
  * Tighten version dependency on valac; needs >= 0.20 (Closes: 707348)
  * Fix typo in debug message (Closes: 688654). Thanks, Christian T. Steigies!

  [ Martin Pitt ]
  * Fix Depends: syntax for DEP 8 tests

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 14 Jun 2013 15:53:02 +1000

colord (0.1.31-1) experimental; urgency=low

  * New upstream release 0.1.31 (LP: #1099967)
    + Drop patches included in new upstream release
    + Replace one_shot_colord-sane patch with upstream version    
    + New upstream includes support for Spyder 3 (Closes: 696394, LP: #1072261)
    + New upstream includes support for ColorMunki (Closes: 701653, LP: #889655)
    + New upstream includes its own set of base colour spaces (Closes: 666513)
    + New upstream has re-written colord-sane binary, which doesn't crash in
      libdbus (Closes: 668225)
  * Handle the existence of a non-system scanner group.
    (Closes: #648287, LP: #989921)
  * Make watch file more specific, to not pick up colord-gtk releases
  * Drop colord-gtk; this has been split out into a separate tarball
  * Explicitly enable vala binding support
  * Add PIE to hardening flags
  * Install new colord icons
  * Add new API to libcolord1.symbols
  * Install schemas for session-helper
  * Add DEP-8 autopkgtest infrastructure
  * Don't install daemon in multiarch path (Closes: 695232)
  * Properly set SELinux context of /var/lib/colord (Closes: 695085)
  * Add new ColorHug library
  * Fix unusual crash in cd_main_get_cmdline_for_pid (cherry pick from 1824da9)
  * Add override for hardening-check false-positives
  * Add build-depend on libsystemd-login-dev for seat identification
  * Add header for single-debian-patch identifying them as upstream cherry-picks
  * Create /var/lib/colord/icc for system-wide profiles (LP: #1083698)
  * Refresh debian/copyright
  * Canonicalise Vcs-* URIs
  * Bump standards-version to 3.9.4; no changes needed

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 19 Mar 2013 17:27:41 +1100

=== debian/control ===
Source: colord
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends: 
 debhelper (>= 9),
 autotools-dev,
 intltool,
 libglib2.0-dev,
 liblcms2-dev,
 libgudev-1.0-dev [linux-any],
 libsqlite3-dev,
 docbook-utils,
 libusb-1.0-0-dev [linux-any],
 libgusb-dev (>= 0.1.5) [linux-any],
 libpolkit-gobject-1-dev (>= 0.103),
 libsane-dev [linux-any],
 libdbus-1-dev,
 valac (>= 0.20),
 gobject-introspection,
 libgirepository1.0-dev,
 dh-autoreconf,
 gtk-doc-tools,
 autopoint,
 libsystemd-login-dev [linux-any],
 bash-completion,
 dh-systemd (>= 1.4),
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest
Section: graphics
Homepage: http://www.freedesktop.org/software/colord/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/colord.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/colord.git;a=summary

Package: libcolord-dev
Section: libdevel
Architecture: any
Depends: 
 libcolord1 (= ${binary:Version}),
 liblcms2-dev,
 libglib2.0-dev,
 libdbus-1-dev,
 ${misc:Depends},
Description: system service to manage device colour profiles -- development files
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the development files required to build programs against
 the libcolord library.

Package: libcolord1
Section: libs
Architecture: any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: colord
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: system service to manage device colour profiles -- runtime
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains a gobject-based convenience library for programs to
 interact with the colord system daemon.

Package: colord
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 acl,
 policykit-1 (>= 0.103),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: system service to manage device colour profiles -- system daemon
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the dbus-activated colord system daemon.

Package: gir1.2-colord-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the colord library
 This package contains introspection data for libcolord, a gobject-based
 convenience library for programs to interact with the colord system daemon.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

Package: libcolorhug-dev
Section: libdevel
Architecture: linux-any
Depends: 
 libcolorhug1 (= ${binary:Version}),
 libglib2.0-dev,
 libgusb-dev,
 libcolord-dev,
 gir1.2-colorhug-1.0,
 ${misc:Depends},
Breaks: colorhug-client (<= 0.2.0-3)
Replaces: colorhug-client (<= 0.2.0-3)
Description: library to access the ColorHug colourimeter -- development files
 libcolorhug is a gobject-based library for using the ColorHug display
 colourimeter. It supports both reading values from the colourimeter and
 device administration, such as firmware updates.
 .
 This package contains the development files required to build programs against
 the libcolorhug library.

Package: libcolorhug1
Section: libs
Architecture: linux-any
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library to access the ColorHug colourimeter -- runtime
 libcolorhug is a gobject-based library for using the ColorHug display
 colourimeter. It supports both reading values from the colourimeter and
 device administration, such as firmware updates.
 .
 This package contains a gobject-based convenience library for programs to
 interact with the ColorHug colourimeter.

Package: gir1.2-colorhug-1.0
Section: introspection
Architecture: linux-any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the colorhug library
 This package contains introspection data for libcolorhug, a gobject-based
 library for accessing the ColorHug display colourimeter device.
 .
 It can be used by packages using the GIRepository format to generate 
 dynamic bindings.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.freedesktop.org/software/colord/releases/colord-([\d\.]+)\.tar\.xz

## colord 1.0.6

=== debian/changelog ===
colord (1.0.6-1) unstable; urgency=medium

  * New upstream stable release 1.0.6
  * Bump Standards-Version (no changes required)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 16 Jan 2014 17:55:36 +1100

colord (1.0.5-1) unstable; urgency=low

  * New upstream stable release (LP: #1219108)
  * Update watch file to pull stable 1.0.x releases rather than development
    1.1.x releases
  * Update test-for-usb-db patch to apply to 69-cd-sensors.rules.in, rather
    than the generated 69-cd-sensors.rules file. (Closes: 717503)
  * Clean up stale colord-sane dbus and bash-completion config files on upgrade.
    (Closes: 713854)
  * Relax over-eager versioning on Breaks: colorhug-client. (Closes: 722588)
  * Let adduser create /var/lib/colord for us. (Closes: 730476)
  * Cherry pick b943e38b from upstream to fix colorhug unittests on USB-less
    hardware (such as found in the Ubuntu autopkgtest infrastructure).
  * Now that colorhug unittests pass on USB-less hardware, re-enable them in
    the DEP 8 tests.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 19 Dec 2013 16:54:17 +0800

=== debian/tests/control ===
Tests: make-check
Restrictions: build-needed
Depends: @, valgrind, libtool

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# 1.1 is a development branch; only notify of stable 1.0 releases until 1.2
opts="uversionmangle=s/^1.1/0.0/" http://www.freedesktop.org/software/colord/releases/colord-([\d\.]+)\.tar\.xz

## colord 1.2.1

=== debian/changelog ===
colord (1.2.1-1) unstable; urgency=medium

  * New upstream stable release. Fixes unsafe pointer cast, so
    cd-create-profile no longer tries to allocate terabytes of
    memory on 64bit big-endiane machines. (Closes: 750013)
  * Move (very slow) print-profile generation to build-indep rule.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 05 Jun 2014 13:49:39 +1000

colord (1.2.0-3) unstable; urgency=medium

  * Actually upload to unstable. Yay sponsors who don't pay enough attention.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 May 2014 14:48:00 +0200

colord (1.2.0-2) unstable; urgency=medium

  * Fix Replaces/Breaks for files moved from colord to colord-data
    (Closes: 749299)
  * Explicitly disable udev on !Linux fixes FTBFS (Closes: 749221)
  * Don't Build-Depend on argyll on Hurd (Closes: 749222)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 29 May 2014 09:08:20 +0200

colord (1.2.0-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Add missing @buildddeps@ and build-essential test dependencies, as the
    test partially builds colord.

  [ Christopher James Halse Rogers ]
  * New upstream stable release, first of the 1.2 series
  * Refresh .symbols and library .install for new SOVER
  * Remove test-for-usb-db-before-running-it.patch
  * Update copyright file for new profiles data
  * Install bash-completion data
  * Split out a colord-data package
  * Add new libudev-dev build-depends on Linux
  * Build extra print profiles, adding required argyl build-dependancy
  * Use dh_install --fail-missing
  * Drop no-longer-supported gudev and volume-search configure flags
  * Remove no-longer-needed gudev build-dependancy
  * Add new (Linux only) libudev-dev dependency to libcolord-dev

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 06 May 2014 10:13:33 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  intltool,
  libglib2.0-dev,
  liblcms2-dev,
- libgudev-1.0-dev [linux-any],
+ libudev-dev [linux-any],
  libsqlite3-dev,
  docbook-utils,
  libusb-1.0-0-dev [linux-any],
@@ -24,7 +24,9 @@
  libsystemd-login-dev [linux-any],
  bash-completion,
  dh-systemd (>= 1.4),
-Standards-Version: 3.9.4
+Build-Depends-Indep:
+ argyll,
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
@@ -35,10 +37,11 @@
 Section: libdevel
 Architecture: any
 Depends: 
- libcolord1 (= ${binary:Version}),
+ libcolord2 (= ${binary:Version}),
  liblcms2-dev,
  libglib2.0-dev,
  libdbus-1-dev,
+ libudev-dev [linux-any],
  ${misc:Depends},
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
@@ -50,7 +53,7 @@
  This package contains the development files required to build programs against
  the libcolord library.
 
-Package: libcolord1
+Package: libcolord2
 Section: libs
 Architecture: any
 Depends: 
@@ -77,6 +80,7 @@
  adduser,
  acl,
  policykit-1 (>= 0.103),
+ colord-data
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon
@@ -87,6 +91,40 @@
  store, and a mechanism for session applications to set system policy.
  .
  This package contains the dbus-activated colord system daemon.
+
+# Package: colord-argyll-plugin
+# Architecture: any
+# Depends:
+#  ${shlibs:Depends},
+#  ${misc:Depends},
+#  colord,
+# Pre-Depends: ${misc:Pre-Depends}
+# Multi-Arch: same
+# Enhances: argyll (>= 1.6)
+# Description: system service to manage device colour profiles -- argyll integration
+#  colord is a system service that makes it easy to manage, install and generate
+#  colour profiles to accurately colour manage input and output devices.
+#  .
+#  It provides a D-Bus API for system frameworks to query, a persistent data
+#  store, and a mechanism for session applications to set system policy.
+#  .
+#  This package contains an Argyll integration plugin, allowing Argyll tools to
+#  lookup, load, and store profiles using colord.
+
+Package: colord-data
+Architecture: all
+Depends:
+ ${misc:Depends},
+Replaces: colord (<< 1.2.0-2)
+Breaks: colord (<< 1.2.0-2)
+Description: system service to manage device colour profiles -- data files
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ It provides a D-Bus API for system frameworks to query, a persistent data
+ store, and a mechanism for session applications to set system policy.
+ .
+ This package contains data for the colord system daemon.
 
 Package: gir1.2-colord-1.0
 Section: introspection
@@ -105,14 +143,14 @@
 Section: libdevel
 Architecture: linux-any
 Depends: 
- libcolorhug1 (= ${binary:Version}),
+ libcolorhug2 (= ${binary:Version}),
  libglib2.0-dev,
  libgusb-dev,
  libcolord-dev,
  gir1.2-colorhug-1.0,
  ${misc:Depends},
-Breaks: colorhug-client (<= 0.2.0-3)
-Replaces: colorhug-client (<= 0.2.0-3)
+Breaks: colorhug-client (<< 0.2.0-3)
+Replaces: colorhug-client (<< 0.2.0-3)
 Description: library to access the ColorHug colourimeter -- development files
  libcolorhug is a gobject-based library for using the ColorHug display
  colourimeter. It supports both reading values from the colourimeter and
@@ -121,7 +159,7 @@
  This package contains the development files required to build programs against
  the libcolorhug library.
 
-Package: libcolorhug1
+Package: libcolorhug2
 Section: libs
 Architecture: linux-any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

confflags = \
 --libexecdir=/usr/lib/colord \
 --disable-examples \
 --disable-static \
 --with-daemon-user=colord \
 --with-systemdsystemunitdir=/lib/systemd/system \
 --with-udevrulesdir=/lib/udev/rules.d \
 --enable-vala \
 --disable-silent-rules

# Disabled; Needs Argyll >= 1.6 (not yet in Debian) to be useful
# Installs plugin into global search path; we'll probably need to patch
# Argyll to look in a private directory for its plugins instead.
# --enable-libcolordcompat

ifeq ($(DEB_HOST_ARCH_OS),linux)
	confflags += --enable-sane --enable-gusb --enable-systemd-login --enable-udev
else
	confflags += --disable-sane --disable-gusb --disable-systemd-login --disable-udev
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
	indep_flags = --disable-print-profiles
else
	indep_flags = --enable-print-profiles
endif

override_dh_auto_configure-arch:
	dh_auto_configure -- $(confflags)

override_dh_auto_configure-indep:
	dh_auto_configure -- $(confflags) $(indep_flags)

override_dh_install:
	# The .la file(s) are entirely useless; kill them with fire.
	find debian/tmp -name '*.la' -delete

	dh_install --fail-missing

override_dh_auto_test:
	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"

override_dh_makeshlibs:
	dh_makeshlibs -Xcolord-sensors -Xcolord-plugins -- -c4

override_dh_gencontrol:
	dh_girepository
	dh_gencontrol

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

%:
	dh $@ --parallel --with autoreconf --with=systemd

## colord 1.2.8

=== debian/changelog ===
colord (1.2.8-0ubuntu1) vivid; urgency=medium

  * Pseudo-merge from unreleased Debian package. Remaining Ubuntu changes:
    + Don't Build-Depend on argyll; not in main.
    + Don't build extra print profiles; requires argyll.
  * New upstream 1.2.8 release.
  * Remove no-longer-used colord.conf (Closes: 751212)
  * Add new symbols to libcolord-private symbols file
  * Add new functions to libcolorhug2 symbols file
  * Add newly-introduced symbols to symbols file
  * Update DEP8 control for libtool-bin split
  * Output better logs on DEP8 failures
  * Add colord-sensor-argyll package

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 19 Feb 2015 14:39:00 +1100

## colord 1.2.11

=== debian/changelog ===
colord (1.2.11-0ubuntu2) wily; urgency=medium

  * No change rebuild for missing ddeb

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Oct 2015 11:18:19 +0100

colord (1.2.11-0ubuntu1) wily; urgency=medium

  * New upstream release
  * debian/libcolorhug2.symbols:
    - Updated
  * debian/patches/debian-changes:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 10 Jun 2015 14:35:20 +1200

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,6 @@
  libsystemd-login-dev [linux-any],
  bash-completion,
  dh-systemd (>= 1.4),
-Build-Depends-Indep:
- argyll,
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Section: graphics
@@ -80,7 +78,9 @@
  adduser,
  acl,
  policykit-1 (>= 0.103),
- colord-data
+ colord-data,
+Suggests:
+ colord-sensor-argyll
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon
@@ -91,6 +91,25 @@
  store, and a mechanism for session applications to set system policy.
  .
  This package contains the dbus-activated colord system daemon.
+
+Package: colord-sensor-argyll
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ colord,
+ argyll,
+Pre-Depends: ${misc:Pre-Depends}
+Enhances: colord
+Description: system service to manage device colour profiles -- argyll sensor plugin
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ It provides a D-Bus API for system frameworks to query, a persistent data
+ store, and a mechanism for session applications to set system policy.
+ .
+ This package contains a sensor plugin that uses the Argyll tools, allowing colord to
+ support colourimeters that are supported by Argyll.
 
 # Package: colord-argyll-plugin
 # Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
  --enable-vala \
  --disable-silent-rules
 
+# Manually set spotread; the argyll sensor doesn't actually need argyll to build,
+# this value isn't actually used anywhere, and argyll is a significant size to unnecessarily
+# install on the buildds.
+confflags += SPOTREAD=/usr/bin/spotread
+
 # Disabled; Needs Argyll >= 1.6 (not yet in Debian) to be useful
 # Installs plugin into global search path; we'll probably need to patch
 # Argyll to look in a private directory for its plugins instead.
@@ -38,7 +43,8 @@
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	indep_flags = --disable-print-profiles
 else
-	indep_flags = --enable-print-profiles
+#	indep_flags = --enable-print-profiles
+	indep_flags = --disable-print-profiles
 endif
 
 override_dh_auto_configure-arch:

## colord 1.2.12

=== debian/changelog ===
colord (1.2.12-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining Ubuntu changes:
    + debian/control: Don't build-depend on Argyll; not in main.
    + debian/rules: Don't build extra print profiles; requires Argyll

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 06 Nov 2015 17:19:36 +0000

colord (1.2.12-1) unstable; urgency=medium

  * Bump standards-version; no changes required
  * Use canonical Vcs-Git URL
  * Fix Files: glob in debian/copyright to actually match
  * Drop obsolete XS-Testsuite stanza; dpkg handles this now
  * Move hardening-check lintian override to correct package
  * Fix FTBFS on !Linux architectures.
    Argyll is now linux-only, so guard all the features that rely on it
    behind linux-any.
    Thanks to Pino Toscano <pino@debian.org> (Closes: 795536)
  * Update libcolorhug symbols for 1.2.12 release
  * Really, truly, remove obsolete colord.conf. (Closes: 751212)
  * colord-plugin-argyll: fix upgrade from Jessie.
    This package was split out of colord as argyll has become Linux-only, so we need
    to do the Breaks/Replaces dance. (Closes: 798355)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 06 Nov 2015 10:51:38 -0600

colord (1.2.11-1) unstable; urgency=medium

  * Add missing GFDL licence for documentation
  * Merge new upstream 1.2.11 release. (Closes: 782477)
  * Cherry pick commit to check for, and prefer, libsystemd over
    libsystemd-login. (Closes: 779777)
  * debian/libcolorhug2.symbols: Add new ch_device_close symbol.
  * Remove no-longer-used colord.conf (Closes: 751212)
  * Add new symbols to libcolord-private symbols file
  * Add new functions to libcolorhug2 symbols file
  * Add newly-introduced symbols to symbols file
  * Update DEP8 control for libtool-bin split
  * Output better logs on DEP8 failures
  * Add colord-sensor-argyll package
  * Disable strangely-failing DEP8 test

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 13 Aug 2015 08:56:11 +0200

=== debian/control ===
--- 
+++ 
@@ -21,14 +21,13 @@
  dh-autoreconf,
  gtk-doc-tools,
  autopoint,
- libsystemd-login-dev [linux-any],
+ libsystemd-dev [linux-any],
  bash-completion,
  dh-systemd (>= 1.4),
-Standards-Version: 3.9.5
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.6
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/colord.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/colord.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/colord.git;a=summary
 
 Package: libcolord-dev
@@ -93,13 +92,15 @@
  This package contains the dbus-activated colord system daemon.
 
 Package: colord-sensor-argyll
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
  colord,
  argyll,
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: colord (<< 1.2.11-1~)
+Breaks: colord (<< 1.2.11-1~)
 Enhances: colord
 Description: system service to manage device colour profiles -- argyll sensor plugin
  colord is a system service that makes it easy to manage, install and generate
@@ -108,8 +109,8 @@
  It provides a D-Bus API for system frameworks to query, a persistent data
  store, and a mechanism for session applications to set system policy.
  .
- This package contains a sensor plugin that uses the Argyll tools, allowing colord to
- support colourimeters that are supported by Argyll.
+ This package contains a sensor plugin that uses the Argyll tools, allowing
+ colord to support colourimeters that are supported by Argyll.
 
 # Package: colord-argyll-plugin
 # Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -36,14 +36,10 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	confflags += --enable-sane --enable-gusb --enable-systemd-login --enable-udev
+#	indep_flags = --enable-print-profiles
+	indep_flags = --disable-print-profiles
 else
 	confflags += --disable-sane --disable-gusb --disable-systemd-login --disable-udev
-endif
-
-ifeq ($(DEB_HOST_ARCH_OS),hurd)
-	indep_flags = --disable-print-profiles
-else
-#	indep_flags = --enable-print-profiles
 	indep_flags = --disable-print-profiles
 endif

=== debian/tests/control ===
Tests: make-check
Restrictions: build-needed
Depends: @, @builddeps@, build-essential, valgrind, libtool-bin

## colord 1.3.2

=== debian/changelog ===
colord (1.3.2-1) unstable; urgency=medium

  * New upstream 1.3.2 release (Closes: 815252)
  * Add new symbols to libcolord2.symbols
  * Install systemd user service and tmpfiles.d snippets
  * Install new OceanOptics Spark sensor driver
  * Demote colord to a Suggests of libcolord2 (Closes: 780625)
  * Add new symbols to libcolorhug2
  * Bump Standards-Version; no changes required.
  * Retrospectively wrap 1.2.12-1's changelog to 80 characters.
  * Cherry-pick 5256a116:
    libcolord: Fix an assert failure when connecting to sensors.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 19 Apr 2016 17:27:34 +1000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,9 @@
  libsystemd-dev [linux-any],
  bash-completion,
  dh-systemd (>= 1.4),
-Standards-Version: 3.9.6
+Build-Depends-Indep:
+ argyll [linux-any],
+Standards-Version: 3.9.8
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
 Vcs-Git: git://anonscm.debian.org/collab-maint/colord.git
@@ -56,7 +58,7 @@
 Depends: 
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends: colord
+Suggests: colord
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: system service to manage device colour profiles -- runtime

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	confflags += --enable-sane --enable-gusb --enable-systemd-login --enable-udev
-#	indep_flags = --enable-print-profiles
-	indep_flags = --disable-print-profiles
+	indep_flags = --enable-print-profiles
 else
 	confflags += --disable-sane --disable-gusb --disable-systemd-login --disable-udev
 	indep_flags = --disable-print-profiles

## colord 1.3.3

=== debian/changelog ===
colord (1.3.3-2build1) artful; urgency=medium

  * Rebuild against new libsane1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Jul 2017 09:40:49 +0200

colord (1.3.3-2) unstable; urgency=medium

  * Tell dh_install that systemd/udev files are uninteresting for !Linux

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 06 Sep 2016 16:46:05 +1000

colord (1.3.3-1) unstable; urgency=medium

  * debian/watch: check upstream release signatures
  * Add systemd to linux-any build-depends to pick up tmpfiles.d and unit
    locations.
    (Closes: 835758)
  * Remove linux-only udev/systemd files from non-linux colord.install.
    (Closes: 827321)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 05 Sep 2016 15:18:36 +1000

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  gtk-doc-tools,
  autopoint,
  libsystemd-dev [linux-any],
+ systemd [linux-any],
  bash-completion,
  dh-systemd (>= 1.4),
 Build-Depends-Indep:

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
  --disable-examples \
  --disable-static \
  --with-daemon-user=colord \
- --with-systemdsystemunitdir=/lib/systemd/system \
  --with-udevrulesdir=/lib/udev/rules.d \
  --enable-vala \
  --disable-silent-rules

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# 1.1 is a development branch; only notify of stable 1.0 releases until 1.2
opts="uversionmangle=s/^1.1/0.0/, pgpmode=auto" http://www.freedesktop.org/software/colord/releases/colord-([\d\.]+)\.tar\.xz

## colord 1.4.3

=== meson_options.txt ===
option('session_example', type : 'boolean', value : false, description : 'Enable session example')
option('bash_completion', type : 'boolean', value : true, description : 'Enable bash completion')
option('udev_rules', type: 'boolean', value: true, description: 'Install udev rules')
option('systemd', type : 'boolean', value : true, description : 'Enable systemd integration')
option('libcolordcompat', type : 'boolean', value : false, description : 'Enable libcolordcompat.so which is used by ArgyllCMS')
option('argyllcms_sensor', type : 'boolean', value : true, description : 'Enable ArgllCMS sensor')
option('reverse', type : 'boolean', value : false, description : 'Enable reverse engineering tools')
option('sane', type : 'boolean', value : false, description : 'Enable SANE support')
option('vapi', type : 'boolean', value : false, description : 'Build vala bindings')
option('print_profiles', type : 'boolean', value : false, description : 'Build extra print profiles')
option('tests', type : 'boolean', value : true, description : 'Build self tests')
option('installed_tests', type : 'boolean', value : false, description : 'Install tests')
option('daemon_user', type : 'string', value : 'root', description : 'User for running the colord daemon')
option('pnp_ids', type : 'string', value : '', description : 'Location of pnp.ids if hwdb is not available')
option('man', type : 'boolean', value : true, description : 'Generate man pages')
option('docs', type : 'boolean', value : true, description : 'Generate documentation')

=== debian/changelog ===
colord (1.4.3-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11
  * debian/rules: Use the same build directory debhelper normally uses
  * meson doesn't install .la files by default
  * Use dh --with gir instead of calling dh_girepository manually
  * Drop obsolete intltool Build-Depends
  * debian/control: Set packages as linux-any
  * Cherry-pick trivial-Add-a-quirk-for-the-renamed-LG-Electronics.patch:
    - Fix autopkgtest regression with systemd 240
  * debian/tests/control: Depend on shared-mime-info

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Laurent Bigonville ]
  * Remove /etc/dbus-1/system.d/org.freedesktop.ColorManager.conf on upgrade
    (Closes: #912031)
  * Install colord daemons in /usr/lib/colord/ like before (Closes: #910196)
  * debian/*.symbols: Add Build-Depends-Package fields
  * debian/control: Adjust the build-dependencies, colord now unconditionally
    requires udev and gusb, this makes the package only available on linux
  * debian/control: Remove unnecessary dependencies, libcolord-dev do not
    require liblcms2-dev, libdbus-1-dev or libudev-dev
  * debian/rules: Remove the executable bit on the colormgr bash-completion
    file to please lintian

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 21 Jan 2019 23:39:22 -0500

colord (1.4.3-3) unstable; urgency=medium

  * debian/patches/skip_build_depends.patch:
    - use a debian patch rather than inline change to skip that
      build-depends requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Sep 2018 16:20:18 +0200

colord (1.4.3-2) unstable; urgency=medium

  * debian/rules: Create stampdir on build. Fixes the build from git.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 07 Sep 2018 09:43:29 +1000

colord (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3
    - Switch to meson build system
    - New upstream version respects SOURCE_DATE_EPOCH for generated
      profiles, making the build reproducible! (Closes: 815252)
  * Switch to dh_missing
  * Fix order of adduser arguments in colord.postinst (Closes: 895102)
  * Drop chown -R usage in colord.postinst (Closes: 889060)
  * Refresh symbols files
  * Refresh .install files
  * debian/watch: Correctly identify as a Version=4 file.
  * Bump Standards-Version

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 03 Sep 2018 17:53:23 +1000

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,41 @@
 Source: colord
 Priority: optional
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
-Build-Depends: 
- debhelper (>= 9),
- autotools-dev,
- intltool,
+Build-Depends:
+ debhelper (>= 11),
  libglib2.0-dev,
  liblcms2-dev,
- libudev-dev [linux-any],
+ libgudev-1.0-dev,
+ libudev-dev,
  libsqlite3-dev,
  docbook-utils,
- libusb-1.0-0-dev [linux-any],
- libgusb-dev (>= 0.1.5) [linux-any],
+ libgusb-dev (>= 0.2.7),
  libpolkit-gobject-1-dev (>= 0.103),
  libsane-dev [linux-any],
  libdbus-1-dev,
  valac (>= 0.20),
  gobject-introspection,
  libgirepository1.0-dev,
- dh-autoreconf,
  gtk-doc-tools,
- autopoint,
  libsystemd-dev [linux-any],
  systemd [linux-any],
  bash-completion,
- dh-systemd (>= 1.4),
+ meson,
 Build-Depends-Indep:
  argyll [linux-any],
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
-Vcs-Git: git://anonscm.debian.org/collab-maint/colord.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/colord.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/colord.git
+Vcs-Browser: https://salsa.debian.org/debian/colord
 
 Package: libcolord-dev
 Section: libdevel
-Architecture: any
-Depends: 
+Architecture: linux-any
+Depends:
  libcolord2 (= ${binary:Version}),
- liblcms2-dev,
  libglib2.0-dev,
- libdbus-1-dev,
- libudev-dev [linux-any],
+ gir1.2-colord-1.0 (= ${binary:Version}),
  ${misc:Depends},
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
@@ -55,8 +49,8 @@
 
 Package: libcolord2
 Section: libs
-Architecture: any
-Depends: 
+Architecture: linux-any
+Depends:
  ${shlibs:Depends},
  ${misc:Depends},
 Suggests: colord
@@ -73,7 +67,7 @@
  interact with the colord system daemon.
 
 Package: colord
-Architecture: any
+Architecture: linux-any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
@@ -151,7 +145,7 @@
 
 Package: gir1.2-colord-1.0
 Section: introspection
-Architecture: any
+Architecture: linux-any
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
@@ -159,18 +153,18 @@
  This package contains introspection data for libcolord, a gobject-based
  convenience library for programs to interact with the colord system daemon.
  .
- It can be used by packages using the GIRepository format to generate 
+ It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
 Package: libcolorhug-dev
 Section: libdevel
 Architecture: linux-any
-Depends: 
+Depends:
  libcolorhug2 (= ${binary:Version}),
  libglib2.0-dev,
- libgusb-dev,
+ libgusb-dev (>= 0.2.7),
  libcolord-dev,
- gir1.2-colorhug-1.0,
+ gir1.2-colorhug-1.0 (= ${binary:Version}),
  ${misc:Depends},
 Breaks: colorhug-client (<< 0.2.0-3)
 Replaces: colorhug-client (<< 0.2.0-3)
@@ -185,7 +179,7 @@
 Package: libcolorhug2
 Section: libs
 Architecture: linux-any
-Depends: 
+Depends:
  ${shlibs:Depends},
  ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
@@ -208,5 +202,5 @@
  This package contains introspection data for libcolorhug, a gobject-based
  library for accessing the ColorHug display colourimeter device.
  .
- It can be used by packages using the GIRepository format to generate 
+ It can be used by packages using the GIRepository format to generate
  dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)

confflags = \
 --libexecdir=/usr/lib/colord \
 -Dsession_example=false \
 -Ddaemon_user=colord \
 -Dvapi=true \
 -Ddocs=false

# Manually set spotread; the argyll sensor doesn't actually need argyll to build,
# this value isn't actually used anywhere, and argyll is a significant size to unnecessarily
# install on the buildds.
#confflags += SPOTREAD=/usr/bin/spotread

# Disabled; Needs Argyll >= 1.6 (not yet in Debian) to be useful
# Installs plugin into global search path; we'll probably need to patch
# Argyll to look in a private directory for its plugins instead.
# --enable-libcolordcompat

ifeq ($(DEB_HOST_ARCH_OS),linux)
	confflags += -Dsane=true
	indep_flags = -Dprint_profiles=true
else
	confflags += -Dsane=false
	indep_flags = -Dprint_profiles=false
endif

debian/stamps/generate_meson_build_system:
	mkdir -p debian/stamps
	touch debian/stamps/generate_meson_build_system
	dh_auto_configure -- $(confflags)

override_dh_auto_configure-arch: debian/stamps/generate_meson_build_system

override_dh_auto_configure-indep: debian/stamps/generate_meson_build_system
	meson configure $(BUILD_DIR) $(confflags) $(indep_flags)

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod 644 debian/colord/usr/share/bash-completion/completions/colormgr

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	@echo "TODO: Test suite disabled - requires running dbus daemon, currently fails"

override_dh_makeshlibs:
	dh_makeshlibs -Xcolord-sensors -Xcolord-plugins -- -c4

%:
	dh $@ --builddirectory=$(BUILD_DIR) --with gir

=== debian/tests/control ===
Tests: make-check
Restrictions:
Depends: @, @builddeps@, build-essential, shared-mime-info, valgrind, libtool-bin

=== debian/watch ===
version=4

# 1.1 is a development branch; only notify of stable 1.0 releases until 1.2
opts="uversionmangle=s/^1.1/0.0/, pgpmode=auto" http://www.freedesktop.org/software/colord/releases/colord-([\d\.]+)\.tar\.xz

## colord 1.4.4

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+option('daemon', type : 'boolean', value : true, description : 'build the daemon')
 option('session_example', type : 'boolean', value : false, description : 'Enable session example')
 option('bash_completion', type : 'boolean', value : true, description : 'Enable bash completion')
 option('udev_rules', type: 'boolean', value: true, description: 'Install udev rules')

=== debian/changelog ===
colord (1.4.4-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper to 12 and install the daemons in /usr/libexec
  * debian/rules: Explicitly disable systemd and udev on non-linux architectures
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Drop docbook-utils from build-dep, this doesn't seems
    necessary and add xsltproc instead
  * debian/control: Mark the -dev and gir packages as Multi-arch: same
  * Omit colord-sensor-argyll on Ubuntu/i386.
    Thanks to Steve Langasek <steve.langasek@canonical.com> (Closes: #948540)
  * debian/control: Set Rules-Requires-Root: no
  * debian/watch: Use https:// instead of http://
  * d/p/tests-Make-the-build-reproductible.patch: Make the build reproductible
  * debian/gbp.conf: Set upstream-vcs-tag and make sure patches are not numbered

 -- Laurent Bigonville <bigon@debian.org>  Fri, 20 Mar 2020 15:50:36 +0100

colord (1.4.4-1) unstable; urgency=medium

  * New upstream 1.4.4 release
    - debian/patches/skip_build_depends.patch:
    - debian/patches/trivial-Add-a-quirk-for-the-renamed-LG-Electronics.patch:
      + Dropped, included in new upstream release
  * Add new docbook-xsl-ns build-dependency
  * Drop patches present in new upstream version
  * Add colord-tests package. (Closes: #917619)
  * Migrate final use of explicit dpkg-maintscript-helper to
    colord.maintscript
  * colord.lintian-overrides:
    + Add override for cd_sensor_dummy.so not linking to libc. It does not in
      fact directly use any symbols from libc.
    + Add override for missing init.d script for colord daemon. colord is
      a DBus-activated daemon, the systemd unit is only for enabling extra
      systemd-specific behaviour when systemd is handling DBus activation.
  * debian/patches/fix-cd-sensor-dummy.patch:
    + Cherry pick from upstream fixing a trivial crash in the dummy sensor
  * debian/tests:
    + Drop the make-check dep8 test in favour of one based on the installed
      tests.
    + Mark the installed test as flaky, until upstream bug is resolved
      (https://github.com/hughsie/colord/issues/94)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 14 Aug 2019 15:41:01 +1000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: optional
 Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libglib2.0-dev,
  liblcms2-dev,
  libgudev-1.0-dev,
  libudev-dev,
  libsqlite3-dev,
- docbook-utils,
+ docbook-xsl-ns,
  libgusb-dev (>= 0.2.7),
  libpolkit-gobject-1-dev (>= 0.103),
  libsane-dev [linux-any],
@@ -20,10 +20,12 @@
  libsystemd-dev [linux-any],
  systemd [linux-any],
  bash-completion,
- meson,
+ meson (>= 0.52.0),
+ xsltproc,
 Build-Depends-Indep:
  argyll [linux-any],
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Section: graphics
 Homepage: http://www.freedesktop.org/software/colord/
 Vcs-Git: https://salsa.debian.org/debian/colord.git
@@ -37,6 +39,7 @@
  libglib2.0-dev,
  gir1.2-colord-1.0 (= ${binary:Version}),
  ${misc:Depends},
+Multi-Arch: same
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
  colour profiles to accurately colour manage input and output devices.
@@ -149,6 +152,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: GObject introspection data for the colord library
  This package contains introspection data for libcolord, a gobject-based
  convenience library for programs to interact with the colord system daemon.
@@ -166,6 +170,7 @@
  libcolord-dev,
  gir1.2-colorhug-1.0 (= ${binary:Version}),
  ${misc:Depends},
+Multi-Arch: same
 Breaks: colorhug-client (<< 0.2.0-3)
 Replaces: colorhug-client (<< 0.2.0-3)
 Description: library to access the ColorHug colourimeter -- development files
@@ -198,9 +203,28 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: GObject introspection data for the colorhug library
  This package contains introspection data for libcolorhug, a gobject-based
  library for accessing the ColorHug display colourimeter device.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: colord-tests
+Architecture: linux-any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ colord
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
+Description: system service to manage device colour profiles -- test suite
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ It provides a D-Bus API for system frameworks to query, a persistent data
+ store, and a mechanism for session applications to set system policy.
+ .
+ This package contains test programs, designed to be run as a part of a
+ regression test suite.

=== debian/rules ===
--- 
+++ 
@@ -14,16 +14,11 @@
 BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)
 
 confflags = \
- --libexecdir=/usr/lib/colord \
  -Dsession_example=false \
  -Ddaemon_user=colord \
  -Dvapi=true \
- -Ddocs=false
-
-# Manually set spotread; the argyll sensor doesn't actually need argyll to build,
-# this value isn't actually used anywhere, and argyll is a significant size to unnecessarily
-# install on the buildds.
-#confflags += SPOTREAD=/usr/bin/spotread
+ -Ddocs=false \
+ -Dinstalled_tests=true
 
 # Disabled; Needs Argyll >= 1.6 (not yet in Debian) to be useful
 # Installs plugin into global search path; we'll probably need to patch
@@ -34,8 +29,12 @@
 	confflags += -Dsane=true
 	indep_flags = -Dprint_profiles=true
 else
-	confflags += -Dsane=false
+	confflags += -Dsane=false -Dsystemd=false -Dudev_rules=false
 	indep_flags = -Dprint_profiles=false
+endif
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   BUILD_PACKAGES += -Ncolord-sensor-argyll
 endif
 
 debian/stamps/generate_meson_build_system:
@@ -52,6 +51,17 @@
 	dh_fixperms -a
 	chmod 644 debian/colord/usr/share/bash-completion/completions/colormgr
 
+override_dh_install:
+	# Exclude systemd and udev related files
+	grep -E -v 'lib/systemd|lib/udev|lib/tmpfiles\.d' debian/colord.install > debian/colord.install.kfreebsd
+	grep -E -v 'lib/systemd|lib/udev|lib/tmpfiles\.d' debian/colord.install > debian/colord.install.hurd
+	dh_install
+
+override_dh_clean:
+	rm -f debian/colord.install.kfreebsd
+	rm -f debian/colord.install.hurd
+	dh_clean
+
 override_dh_missing:
 	dh_missing --fail-missing
 
@@ -62,4 +72,4 @@
 	dh_makeshlibs -Xcolord-sensors -Xcolord-plugins -- -c4
 
 %:
-	dh $@ --builddirectory=$(BUILD_DIR) --with gir
+	dh $@ --builddirectory=$(BUILD_DIR) --with gir $(BUILD_PACKAGES)

=== debian/tests/control ===
Tests: installed-tests
Restrictions: needs-root, breaks-testbed, flaky
Depends: colord-tests, xvfb, gnome-session, gnome-settings-daemon, dbus (>= 1.8), gnome-desktop-testing

=== debian/watch ===
version=4

# 1.1 is a development branch; only notify of stable 1.0 releases until 1.2
opts="uversionmangle=s/^1.1/0.0/, pgpmode=auto" https://www.freedesktop.org/software/colord/releases/colord-([\d\.]+)\.tar\.xz
